Class BackchannelAuthenticationEndpointRequestParser
java.lang.Object
org.keycloak.protocol.oidc.grants.ciba.endpoints.request.BackchannelAuthenticationEndpointRequestParser
- Author:
- Takashi Norimatsu
-
Field Summary
FieldsModifier and TypeFieldDescriptionstatic final intMax number of additional req params copied into client session note to prevent DoS attacksstatic final intMax size of additional req param value copied into client session note to prevent DoS attacks - params with longer value are ignoredstatic final StringReserved protocol claim names that map to server-controlled top-levelCIBAAuthenticationRequestclaims.Set of known protocol POST params not to be stored into additionalReqParams} -
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptionprotected voidextractAdditionalReqParams(Map<String, String> additionalReqParams) protected abstract IntegergetIntParameter(String paramName) protected abstract StringgetParameter(String paramName) keySet()voidprotected <T> TreplaceIfNotNull(T previousVal, T newVal)
-
Field Details
-
ADDITIONAL_REQ_PARAMS_MAX_MUMBER
public static final int ADDITIONAL_REQ_PARAMS_MAX_MUMBERMax number of additional req params copied into client session note to prevent DoS attacks- See Also:
-
ADDITIONAL_REQ_PARAMS_MAX_SIZE
public static final int ADDITIONAL_REQ_PARAMS_MAX_SIZEMax size of additional req param value copied into client session note to prevent DoS attacks - params with longer value are ignored- See Also:
-
CIBA_SIGNED_AUTHENTICATION_REQUEST
- See Also:
-
KNOWN_REQ_PARAMS
Set of known protocol POST params not to be stored into additionalReqParams} -
DISABLED_REQ_PARAMS
Reserved protocol claim names that map to server-controlled top-levelCIBAAuthenticationRequestclaims. Supplied as request parameters they would be serialized as top-level claims and could overwrite server-controlled claims (or forge initially unset ones) when the authentication request is deserialized, so they are never copied into the additional request parameters.
-
-
Constructor Details
-
BackchannelAuthenticationEndpointRequestParser
public BackchannelAuthenticationEndpointRequestParser()
-
-
Method Details
-
parseRequest
-
extractAdditionalReqParams
-
replaceIfNotNull
protected <T> T replaceIfNotNull(T previousVal, T newVal) -
getParameter
-
getIntParameter
-
keySet
-